> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Tight account

> Create a Tight account for a user of Tight's Partner's app; the response contains an OAuth 2.0 access token, which can can be used to GET/POST directly into the user's new account



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v4/auth/account
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/auth/account:
    post:
      tags:
        - Authentication
      summary: Create a Tight account
      description: >-
        Create a Tight account for a user of Tight's Partner's app; the response
        contains an OAuth 2.0 access token, which can can be used to GET/POST
        directly into the user's new account
      operationId: postPartnerAccountV4
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuth2RetValV3'
components:
  schemas:
    OAuth2RetValV3:
      type: object
      properties:
        result:
          type: string
          example: SUCCESS_TEMP_PASSWORD
          enum:
            - SUCCESS
            - INVALID_CREDENTIALS
            - SUCCESS_TEMP_PASSWORD
            - SUCCESS_PASSWORD_EXPIRED
            - SUCCESS_HAS_NO_PASSWORD
            - FAILURE
            - SUCCESS_UPDATED
            - INVALID_PLATFORM
        oAuth:
          $ref: '#/components/schemas/OAuth2RetValV2'
        error:
          type: string
        tempPassword:
          type: string
    OAuth2RetValV2:
      type: object
      properties:
        access_token:
          type: string
          example: >-
            00f6b2b68eb9459eab681d19aa86c6154e225068f3074d1d9b639316d5380a4c.91d620872c3b438ba33f4baaca124624
        refresh_token:
          type: string
          example: >-
            7369c0ee82194721ac6f633ec16206f348680736e80e4aacb85d4fbce0ee9669.56b43c61141541dc858dd8613959389a
        expires_in:
          type: integer
          format: int32
          example: 7776000
        created_at:
          type: integer
          format: int64
          example: 1599065168
        scope:
          type: string
          example: token
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````